BLK_QUEUE_MAX_SEGMEN(9)

NAME
blk_queue_max_segment_size - set max segment size for blk_rq_map_sg

SYNOPSIS

void blk_queue_max_segment_size(struct request_queue * q, unsigned int max_size);

ARGUMENTS

q
    the request queue for the device

max_size
    max size of segment in bytes

DESCRIPTION

Enables a low level driver to set an upper limit on the size of a coalesced segment

COPYRIGHT